本文へ移動
Bounty Developer

POST/api/trio/{id}/interest

「TRIO」の分類の、新しく作る、または操作を実行するために内容を送る API。ログインした本人として呼ぶ。

要約

本人の興味ありを記録し、全員一致後だけチャットを開く

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • idpath必須string(uuid)

送るもの(本文)application/json

送る本文の欄。「必須」の印がある欄は省けない。

  • expectedActorId必須string(uuid)
  • stamp任意string
    長さ ≤40

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • trioobject
    • idstring
    • status"proposed" | "active" | "closed"
    • axisKeystring
    • axisKind"attribute" | "purpose" | "want" | "wish"
    • axisNamestring
    • reasonstring
    • reasonDetailarray<object>
      • axisKeystring
      • valuestring
      • labelstring
      • reasonstring
    • conversationIdstring | null
    • membersarray<object>
      • idstring
      • displayNamestring
      • avatarUrlstring | null
      • titlestring | null
      • orgNamestring | null
      • state"pending" | "revealed" | "skipped" | "joined"
      • via"engine" | "added" | "merge"
      • isMeboolean
    • myState"pending" | "revealed" | "skipped" | "joined"
    • parentTrioIdsarray<string> | null
    • createdAtstring
    • activatedAtstring | null
    • expiresAtstring
  • firstboolean

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401HTTP 401(x-bounty-error-codes を参照)
  • 403HTTP 403(x-bounty-error-codes を参照)
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)
  • 413HTTP 413(x-bounty-error-codes を参照)
  • 415HTTP 415(x-bounty-error-codes を参照)
  • 428HTTP 428(x-bounty-error-codes を参照)
  • actor_changed
  • trio_not_found
  • trio_closed
  • already_skipped
  • trio_changed
  • consent_required
  • invalid_origin
  • unsupported_media_type

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl -X POST "https://bounty.spikes.4s.link/api/trio/{id}/interest" \
  -H "Authorization: Bearer $BEARER_AUTH" \
  -H "Content-Type: application/json" \
  -d '{
    "expectedActorId": "00000000-0000-4000-8000-000000000000"
  }'
POST /api/trio/{id}/interest | Bounty Developer